#!/opt/local/bin/perl -w

$infile = $ARGV[0];
$infile =~ /^(.*)\.txt/;
$outfile = $1 . "_trim.txt";
print STDERR "Trimming $infile into $outfile\n";

%rays = ();
open (INFILE, '<', "$infile");
<INFILE>;   # Removes the comment line.
while(<INFILE>) {
@data = split;
#print "$data[0] -- $data[1] \n";
$rays{ $data[0]} = "$data[1], $data[2], $data[3], $data[4]";
}
close INFILE;
@sorted = sort {$a<=>$b} keys  %rays;

open OUTFILE, '>', $outfile;
foreach $key (@sorted) {
  $value = $rays{$key};
  print OUTFILE "$value \n";
}
close OUTFILE;

#open OUTFILE, "$outfile", '>';
#close OUTFILE;

