#!/usr/bin/perl -w

$infile = $ARGV[0];
die "Bad filename:  $infile!" unless $infile =~ /^(.*)\.f90/;

$outfile = $1 . "_optics.txt";
print STDERR "Parsing $infile into $outfile\n";

open INFILE, $infile;
open OUTFILE, ">", $outfile;
while(<INFILE>) {
    if(m/ocd/ & !m/(character|input)/) {
	m/\s*(\d+),/;
       s/(%|#).*//;
       chomp();
	my @data = split(/,/);
	print OUTFILE sprintf("%.2f, %.2f, %.2f\n", $data[1], $data[2], $data[3]);       
    }
}
close INFILE;
close OUTFILE;

